Subject: [bess] MAC Move events in EVPN Single Flow-Active Multi-Homing mode

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 1 Dec 2022 11:17:18 +0000

Hi all,
I have a question about handling of MAC Move events in EVPN Single Flow-Active (SFA) multi-homing.

Section 15 of RFC 7432<https://www.rfc-editor.org/rfc/rfc7432.html#section-15> defines MAC Move events as following (the relevant text is highlighted):

   It is possible for a given host or end-station (as defined by its MAC
   address) to move from one Ethernet segment to another; this is
   referred to as 'MAC Mobility' or 'MAC move', and it is different from
   the multihoming situation in which a given MAC address is reachable
   via multiple PEs for the same Ethernet segment.

With SFA multi-homing, at any given moment each specific customer MAC address is reachable via just one of the multiple PEs for the same Ethernet segment.
And indeed,  Section 5 of the SFA draft<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-l2gw-proto-02#section-5> states:

   When a host moves to PE2 from the PE1 L2GW peer, the MAC mobility

   sequence number is incremented to signal to remote peers that a

   'move' has occurred and the routing tables must be updated to PE2.

PE2 and PE1 in Figure 1 in the draft are attached to the same MH ES in SFA mode, therefore my reading of the quoted text above is that, with SFA multi-homing, MAC Move events are recognized and advertised as such even when a given host moves between two PEs attached to the same MH ES.

However, the quoted text appears in only in Section 5 "Inter-Subnet Forwarding" of the draft, and this section contains multiple references to RFC 9135.
Therefore, it is not clear to me whether the same rule is applicable to the scenarios in which SFA multi-homing should be applicable for intra-subnet forwarding scenarios.
My guess (FWIW) that it should be equally applicable, but an explicit clarification would be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.